> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer Slack



## OpenAPI

````yaml post /v1/slack/answer
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/slack/answer:
    post:
      tags:
        - question_and_answering
      summary: Answer Slack
      operationId: answer_slack_v1_slack_answer_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SlackMessagePayload'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SlackMessagePayload:
      properties:
        type:
          type: string
          title: Type
        token:
          type: string
          title: Token
        team_id:
          type: string
          title: Team Id
        context_team_id:
          type: string
          title: Context Team Id
        context_enterprise_id:
          type: string
          title: Context Enterprise Id
        api_app_id:
          type: string
          title: Api App Id
        event:
          $ref: '#/components/schemas/SlackMessageEventPayload'
        event_id:
          type: string
          title: Event Id
        event_time:
          type: string
          title: Event Time
        event_context:
          type: string
          title: Event Context
        is_ext_shared_channel:
          type: boolean
          title: Is Ext Shared Channel
        challenge:
          type: string
          title: Challenge
      type: object
      required:
        - type
      title: SlackMessagePayload
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlackMessageEventPayload:
      properties:
        client_msg_id:
          type: string
          title: Client Msg Id
        type:
          type: string
          title: Type
        text:
          type: string
          title: Text
        user:
          type: string
          title: User
        ts:
          type: string
          title: Ts
        team:
          type: string
          title: Team
        channel:
          type: string
          title: Channel
        event_ts:
          type: string
          title: Event Ts
        channel_type:
          type: string
          title: Channel Type
      type: object
      required:
        - client_msg_id
        - type
        - text
        - user
        - ts
        - team
        - channel
        - event_ts
      title: SlackMessageEventPayload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````